---
title: I went to FOSDEM! (Day 1 and 2)
description: It was fantastic
pubDate: 02.04.2025
---

I was lucky enough to be informed by my friends Paula and Sindre about FOSDEM, i was kind of hesitant though.
A free conference in a foreign country? This sounded like something that was too good to be true. However, through luck and good friends i ended up going.
And by god it was fun, gratifying and exhausting (in a good way).

## Traveling

There aren't that many good options for travel from where i live to Belgium. Luckily there did exist flights to and from Belgium, unluckily it was early on friday and late on monday.
Luckily i planned ahead and could use some vacation days from work to catch this flight. I am really happy i did it this way, as flying back on sunday evening would have suuuuuucked. 

![The plane ride](./images/plane.webp)

## The day before

After landing and getting sorted in our hotel, we went out to get a beer to start off the weekend. We ended up at a pretty cool bar where we got to try out loads of different kinds of beers which was fun. The prices were even faire (by Norwegian standards). It was at this point we realized how many people FOSDEM attracts. Basically half the bar were wearing some kind of FOSDEM shirt, and this was not Delerium, a place famous for being where FOSDEM attendees gather. This was a hint at what to come.

## The day has arrived

The first day is still kind of a blur in my mind. So much was happening, and soooo many people. First of all, the conference is HUUUUGE. I had previously been to JavaZone in Oslo, but that conference felt tiny in comparison. There were people everywhere, all over campus. You were never really alone it felt like. I think we spent the first half of the day in the K building, which is one of like 7 buildings where they have talks or stands. To put it into perspective, there were 1055 talks in two days. This also meant i could not attend them all, so here is a list some of the ones i went to on the first day and 1-2 sentences for each. Even though i might have a lot to say, i want this post to not be 100 pages, and i encourage you to watch the talks i stead of reading my review.

#### How reproducible is Nix
Turns out, quite a bit even if not quite there yet. I do wonder about the testing methodology though, is reproducing it once on a different machine truly reproducibility?

#### Six months with Nix and devenv
Kind of made me want to try out Nix at work, as we have been considering making a shared setup for Macs.

#### Building an LTE router with a $60 (new!) laptop and a single file

Liked this one, as it showcased both my interest in Nix and how using hardware you have on hand is good.

#### My Nix-Powered Homelab

Funny thing is this talk highlighted something i have been thinking about my own homelab, that simplicity is king. I even told Sindre this at the bar the night before FOSDEM.

This list makes it look like i only went on talks about Nix, and that is kind of true for this day. I spent a large portion of it in the Nix room. This is because currently Nix is one of the open source projects that is the most interesting to me. That is not to say that is all i did.

## The stands

For this day i really spent a long time walking around to the stands and talking to the people behind a lot of open source projects. I really want to highlight some of the coolest stands i visited. 

- [Firefly Zero](https://fireflyzero.com/)
    These guys made an open source handheld multiplayer game console. I got to try it out on the stand, and even though it was just a simple snake demo, i loved the idea!
- [Espruino](https://www.espruino.com/)
    They were showing of an open source smart watch. This was one of the coolest projects i had seen up until that point, and i happen to be in the market for an everyday watch. Spoilers for Day 3: i bought one.
